
// West Islip Engineering Technology Department
// Systems Check for LED's and stepper motor
// Original Version 2.0  R Weber
//June 8 2022

#include <Stepper.h>

//****************** ENTER VALUES HERE ***********************
//**********************************************************************
//Enter the LOW and HIGH Values from your calibration worksheet
// making sure that each value has a semi-colon after it.

int RedLow = 30;
int RedHigh = 50;

int BlueLow = 30;
int BlueHigh = 50;

int GreenLow = 60;
int GreenHigh = 70;

//**********************************************************************
//After the values have been changed
// Save your code then UPLOAD your code to the sorting unit
//**********************************************************************
//**********************************************************************
// Pins entered in sequence IN1-IN3-IN2-IN4 for proper step sequence

const int stepsPerRevolution = 600;  // change this to fit the number of steps per revolution
// Pins entered in sequence IN1-IN3-IN2-IN4 for proper step sequence
Stepper myStepper = Stepper(stepsPerRevolution, 8, 10, 9, 11);

//for LED on unit
int LEDwhite = 0;
int Buzzer = 1;
int LEDred = 3;
int LEDblue = 13;
int LEDgreen = 2;
int Time = 500;

// Define color sensor pins
#define S0 4
#define S1 5
#define S2 6
#define S3 7          
#define sensorOut 12

// Variables for Color Pulse Width Measurements
int redPW = 0;
int greenPW = 0;
int bluePW = 0;


void setup() {
  //LED setup
  pinMode(Buzzer, OUTPUT);
  pinMode(LEDwhite, OUTPUT);
  pinMode(LEDred, OUTPUT);
  pinMode(LEDgreen, OUTPUT);
  pinMode(LEDblue, OUTPUT);
    
    // Set S0 - S3 as outputs
  pinMode(S0, OUTPUT);
  pinMode(S1, OUTPUT);
  pinMode(S2, OUTPUT);
  pinMode(S3, OUTPUT);

 // set the speed at 60 rpm:
  myStepper.setSpeed(60);

}

void loop() {

    
//Clear ALL LEDs
     digitalWrite(LEDred,LOW);
digitalWrite(LEDblue,LOW);
  digitalWrite(LEDgreen,LOW);
  digitalWrite(LEDwhite,LOW);  
   digitalWrite(Buzzer,LOW);
  
  digitalWrite(LEDred,HIGH);
     //myStepper.step(-stepsPerRevolution);
      myStepper.step(-stepsPerRevolution);
      //delay(200);
      //myStepper.step(stepsPerRevolution);
      myStepper.step(stepsPerRevolution);
    delay(Time);
   digitalWrite(LEDred,LOW);
 digitalWrite(Buzzer,LOW);
  digitalWrite(LEDblue,HIGH);
    delay(Time);
   digitalWrite(LEDblue,LOW);
   
  digitalWrite(LEDgreen,HIGH);
  
    delay(Time);
   digitalWrite(LEDgreen,LOW);
   
  digitalWrite(LEDwhite,HIGH); 
    delay(Time);
  digitalWrite(LEDwhite,LOW);  
}
